# eric4.E4XML.XMLErrorHandler

Module implementing an error handler class.

### Global Attributes

None

### Classes

XMLErrorHandler | Class implementing an error handler class.
XMLFatalParseError | Class implementing an exception for recoverable parse errors.
XMLParseError | Class implementing an exception for recoverable parse errors.

### Functions

None

## XMLErrorHandler

Class implementing an error handler class.

### Derived from

ErrorHandler

### Class Attributes

None

### Class Methods

None

### Methods

XMLErrorHandler | Constructor
error | Public method to handle a recoverable error.
fatalError | Public method to handle a non-recoverable error.
getParseMessages | Public method to retrieve all messages.
showParseMessages | Public method to show the parse messages (if any) in a dialog.
warning | Public method to handle a warning.

### Static Methods

None

#### XMLErrorHandler (Constructor)

XMLErrorHandler()

Constructor

#### XMLErrorHandler.error

error(exception)

Public method to handle a recoverable error.

exception
  Exception object describing the error (SAXParseException)

#### XMLErrorHandler.fatalError

fatalError(exception)

Public method to handle a non-recoverable error.

exception
  Exception object describing the error (SAXParseException)

Raises XMLFatalParseError:
  a fatal parse error has occured

#### XMLErrorHandler.getParseMessages

getParseMessages()

Public method to retrieve all messages.

Returns:
  list of tuples of (message type, system id, line no, column no, message)

#### XMLErrorHandler.showParseMessages

showParseMessages()

Public method to show the parse messages (if any) in a dialog.

#### XMLErrorHandler.warning

warning(exception)

Public method to handle a warning.

exception
  Exception object describing the error (SAXParseException)

Up

## XMLFatalParseError

Class implementing an exception for recoverable parse errors.

### Derived from

XMLParseError

### Class Attributes

None

### Class Methods

None

### Methods

None

### Static Methods

None

Up

## XMLParseError

Class implementing an exception for recoverable parse errors.

### Derived from

Exception

### Class Attributes

None

### Class Methods

None

### Methods

None

### Static Methods

None

Up